/*
 *				i o v t o a . c
 */

/*)LIBRARY
*/

#ifdef	DOCUMENTATION

title	iovtoa	Convert File Name to Ascii - obsolete
index		Convert file name to Ascii - obsolete

synopsis

	 char *
	 iovtoa(fd,buffer);
	 FILE *fd;
	 char *buffer;

description

	iovtoa() is an obsolete name and form of fgetname().  It exists
	solely for compatibility purposes; new programs should use fgetname()
	and old ones SHOULD (eventually) be converted.

	Note that iovtoa() differs from fgetname() in only one way:  While
	fgetname() returns buffer, iovtoa() returns a pointer to the null
	trailing the extracted name.

bugs

	Obsolete.

author

	Jerry Leichter

#endif

/*
 * )EDITLEVEL=05
 * Edit history
 * 0.0 19-Jun-81 JSL	Invention
 */

#include <stdio.h>

extern char *fgetname();		/* The real one */

char *
iovtoa(fd,buffer)
FILE *fd;
char *buffer;
{
	fgetname(fd,buffer);
	while(*buffer++)		/* Scan 'till past the null */
		;
	return(buffer - 1);
}
